Name:          ognl26
Version:       2.6.9
Release:       %mkrel 2
Summary:       Object-Graph Navigation Language
Group:         Development/Java
License:       BSD
URL:           http://www.opensymphony.com/ognl/
# cvs -d :pserver:USERNAME@cvs.dev.java.net:/cvs login
# cvs -d :pserver:USERNAME@cvs.dev.java.net:/cvs checkout ognl 
# http://mirrors.ibiblio.org/pub/mirrors/maven2/ognl/ognl
Source0:       ognl-%{version}-src-cvs.tar.gz
Source1:       ognl-%{version}-osbuild.xml
Source2:       ognl-%{version}.pom
BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: ant-junit
BuildRequires: ant-nodeps
BuildRequires: ant-trax
BuildRequires: fop >= 0.95
BuildRequires: java-devel
BuildRequires: javacc
BuildRequires: javassist
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      jpackage-utils
BuildArch:     noarch

%description
OGNL stands for Object-Graph Navigation Language; it is an
expression language for getting and setting properties of
Java objects. You use the same expression for both getting
and setting the value of a property.
The ognl.Ognl class contains convenience methods for evaluating
OGNL expressions. You can do this in two stages, parsing an
expression into an internal form and then using that internal
form to either set or get the value of a property; or you can
do it in a single stage, and get or set a property using the
String form of the expression directly.
Many people have asked exactly what OGNL is good for. Several
of the uses to which OGNL has been applied are:
* A binding language between GUI elements (textfield, combobox,
 etc.) to model objects. Transformations are made easier by
 OGNL's TypeConverter mechanism to convert values from one
 type to another (String to numeric types, for example).
* A data source language to map between table columns and a
 TableModel.
* A binding language between web components and the underlying
 model objects (WebOGNL, Tapestry and WebWork).
* A more expressive replacement for the property-getting
 language used by the Jakarta Commons BeanUtils package
 (which only allows simple property navigation and
 rudimentary indexed properties).
Most of what you can do in Java is possible in OGNL, plus other
extras such as list projection and selection and lambda expressions.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Object-Graph Navigation Language.

This package contains javadoc for %{name}.

%prep

%setup -q -n ognl

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

cp %{SOURCE1} osbuild.xml

pushd lib
  ln -sf $(build-classpath javacc) javacc.jar
  ln -sf $(build-classpath javassist) javassist.jar
  ln -sf $(build-classpath junit) junit.jar
  ln -sf $(build-classpath ant/ant-contrib) ant-contrib-0.3.jar
popd

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath ant/ant-contrib fop javacc javassist junit)
CLASSPATH=$CLASSPATH:$(build-classpath ant/ant-junit ant/ant-nodeps ant/ant-trax)
ant jar javadocs junit.report

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 0644 build/ognl-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap ognl ognl %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.6.9-2.mga3
+ Revision: 361807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 gil <gil> 2.6.9-1.mga2
+ Revision: 148797
- imported package ognl26

